%define name kdenetwork
%define version 1.1.2
%define release 17mdk
%define sourcedir stable/1.1/distribution/tar/generic/source

%define compiler gcc
%define qtver  qt >= 1.44

Name: %{name}
Summary: K Desktop Environment - Network Applications
Version: %{version}
Release: %{release}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-1.1.2.tar.bz2
Source1: kdenetwork_menuentries
Patch: %{name}-1.1-lowcolor.patch.bz2    
Patch1: %{name}-991110.patch.bz2
Group: Networking/Other
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Requires: %{qtver} kdesupport
BuildRequires: kdesupport-devel
%ifarch alpha
BuildRequires: libtool
%endif

%description
Network applications for the K Desktop Environment.

Includes: karchie (ftp archive searcher); kbiff (mail delivery notification)
kfinger ("finger" utility); kmail (mail client); knu (network utilities);
korn  (mailbox monitor tool); kppp (easy PPP connection configuration);
krn (news reader); ktalkd (talk daemon); ksirc (irc client).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch -p0 -b .lowcolor
%patch1 -p1

%build
make -f Makefile.cvs

%ifarch alpha
libtoolize --force
%endif
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -fexceptions" CC=%{compiler} \
	./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi                                                                                               

%install
make install prefix=$RPM_BUILD_ROOT/usr

# remove ksirc
pushd $RPM_BUILD_ROOT/ && {
rm -f ./usr/bin/{ksticker,mathpod,ksirc,dsirc}
rm -rf ./usr/share/apps/ksirc ./usr/share/icons/pws.xpm ./usr/share/icons/mini/pws.xpm \
./usr/share/icons/ksirc.gif ./usr/share/applnk/Internet/ksirc.kdelnk ./usr/doc/kde/HTML/en/pws \
./usr/doc/kde/HTML/en/ksirc ./usr/lib/ksirc ./usr/share/locale/*/*/ksirc.mo
} && popd


#chmod +s $RPM_BUILD_ROOT%{kdeprefix}/bin/kppp

# (fg) Menu entries
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kdenetwork

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

/sbin/ldconfig


%files
%defattr(-,root,root,755)
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/*
/usr/bin/karchie
/usr/bin/kbiff
/usr/bin/kfinger
/usr/bin/kmail
/usr/bin/knu
/usr/bin/korn
/usr/bin/kppplogview
%attr(4755,root,root) /usr/bin/kppp
/usr/bin/krn
/usr/bin/kdecode
/usr/bin/newkrn
/usr/bin/ktalkd
/usr/bin/kotalkd
/usr/bin/mail.local
/usr/bin/kcmktalkd
/usr/bin/ktalkdlg
%dir /usr/share/icons
/usr/share/icons/*xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/*xpm
%dir /usr/share/icons/large
/usr/share/icons/large/*xpm
%dir /usr/share/config
/usr/share/config/*
%dir /usr/share/apps
/usr/share/apps/*
%dir /usr/share/toolbar
/usr/share/toolbar/*
%dir /usr/share/sounds
/usr/share/sounds/ktalkd.wav
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/*
/usr/lib/lib*
/usr/lib/menu/kdenetwork

%changelog
* Tue May  9 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.2-17mdk
- kbiff entry menu only for kde desktop


* Fri May 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-16mdk

- setuid bit to kppp

* Fri Apr 14 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-15mdk

- Oops - forgot ldconfig
- BuildRequires: kdesupport-devel

* Mon Apr 03 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-14mdk

- Reworked menu entries
- post and postun script

* Mon Mar 27 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-13mdk

- Don't use autogenerated file list
- Don't use prefix
- Added menu entries
- Changed group

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force added for alpha

* Wed Dec 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove ksirc (too many segfaults).

* Tue Dec 14 1999 John Corey <jcorey@mandrakesoft.com>
- Wrong permissions on kppp bin

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Update with changes in CVS
                                                                                                 
* Thu Nov 04 1999 Daniel M. Duley <mosfet@linux-mandrake.com>
- Updated sources and RH compatible docpath. Re-enabled Makefile.cvs.

* Fri Oct 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Cooker build
- use macro to strip

* Mon Sep 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Make explicitely kppp suid.


* Tue Sep 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Removing the -pre1.

* Sat Sep 04 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
Added patch to use lowcolor 32x32 icons.              

* Tue Aug 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reprefixing to -pre1.

* Wed Aug 25 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990825.

* Tue Aug 24 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990824.

* Thu Aug 19 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- updates from 1.1.2 CVS.

* Thu Jul 15 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.1.2 CVS snapshot
- remove security patch (no longer needed)

* Mon Jun 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch security for kmail.

* Sat May 15 1999 Gal Duval <gael@linux-mandrake.com>
- make sure kppp is suid - if not, you need to be root to run 
  it or to set write permissions on /dev/ttyS* for world.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.1.1

* Wed Apr 21 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.1.1pre1
- Mandrake adaptions
- add -fexceptions to CXXFLAGS (needed)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Wed Jan 20 1999 Preston Brown <pbrown@redhat.com>
- updated to deal with newer RPM, make sure kppp isn't SUID.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged updates from Duncan Haldane
